//
//  LAAccessoryView.h
//  LAAdditions
//
//  Created by Cyril Anger on 05/06/12.
//  Copyright (c) 2012 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <LAAdditions/LAViewAdditions.h>
#import <LAAdditions/LAViewController.h>

@interface LAAccessoryView : LAView

@property (nonatomic) CGFloat defaultHeight;
@property (nonatomic) NSInteger labelsTag;
@property (strong, nonatomic) LAView *contentView;
@property (strong, nonatomic) LAViewController *contentViewController;

- (void)setContentView:(LAView *)contentView animated:(BOOL)animated;
- (void)setContentViewController:(LAViewController *)contentViewController animated:(BOOL)animated;

@end
