//
//  LABufferedCaller.h
//  LAAdditions
//
//  Created by Cyril Anger on 01/12/07.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface LABufferedCaller : NSObject

@property (readonly) BOOL shouldRegister;

+ (void)clearInvocationsForTarget:(id)target;

- (id)prepareToCancel;
- (void)enableRegistration;
- (void)disableRegistration;

@end

@interface NSObject (LABufferedCallerAdditions)

- (id)bufferedCaller;

@end
