//
//  LAComboBox.h
//  LAAdditions
//
//  Created by Cyril Anger on 04/07/08.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <AppKit/AppKit.h>

#import <LAAdditions/LACountedSet.h>

@interface LAComboBoxCell : NSComboBoxCell <NSComboBoxCellDataSource>

@property (strong, nonatomic) LACountedSet *completionsSet;
@property (strong, nonatomic) NSArray *completions;
@property (nonatomic) IBInspectable BOOL updatesCompletions;

@end

@interface LAComboBox : NSComboBox

@property (strong, nonatomic) LACountedSet *completionsSet;
@property (strong, nonatomic) NSArray *completions;
@property (nonatomic) IBInspectable BOOL updatesCompletions;

@end
