//
//  LAConditionsController.h
//  LAAdditions
//
//  Created by Cyril Anger on 03/10/11.
//  Copyright (c) 2011 LyricApps. All rights reserved.
//

#import <LAAdditions/LASectionsController.h>
#import <LAAdditions/LACondition.h>
#import <LAAdditions/LAConditionTemplate.h>

@protocol LAConditionsControllerDelegate;

@interface LAConditionsController : LASingleDataSourceSectionsController

@property (strong, nonatomic) LAOrderedMap *conditionTemplates;
@property (strong, nonatomic) LACompoundCondition *rootCondition;

@end

@interface LAConditionsDataSource : LATreeNodesDataSource

@end
