//
//  LADateLookupTable.h
//  LAAdditions
//
//  Created by Cyril Anger on 05/12/08.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <LAAdditions/LADuration.h>

@interface LADateLookupTable : NSObject

@property (strong, nonatomic) NSDate *fixedFirstDate;
@property (strong, nonatomic) NSDate *fixedLastDate;
@property (strong, nonatomic) LADuration *period;

- (void)clear;
- (NSDate *)beginDateForDate:(NSDate *)date;
- (NSDate *)endDateForDate:(NSDate *)date;
- (NSArray *)datesBetweenDate:(NSDate *)beginDate andDate:(NSDate *)endDate;

@end
