//
//  LADocumentSynchronizationHandlerController.h
//  LAAdditions
//
//  Created by Cyril Anger on 21/01/13.
//  Copyright (c) 2013 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <LAAdditions/LAViewController.h>
#import <LAAdditions/LADocumentSynchronizationHandler.h>
#import <LAAdditions/LATableCellView.h>

typedef void (^LADocumentSynchronizationHandlerControllerBlock)(LADocumentSynchronizationHandler *synchronizationHandler, LADocumentVersion *version);

@interface LADocumentSynchronizationHandlerController : LAViewController <NSOutlineViewDataSource, NSOutlineViewDelegate>

@property (strong, nonatomic) LADocumentSynchronizationHandler *synchronizationHandler;
@property (copy, nonatomic) LADocumentSynchronizationHandlerControllerBlock block;

@property (weak, nonatomic) IBOutlet NSOutlineView *versionsToSynchronizeView;

@end

@interface LADocumentVersionCell : LAStandardTableCellView

@property (weak, nonatomic) IBOutlet NSProgressIndicator *activityIndicator;

- (IBAction)showError:(id)sender;

@end
