//
//  LAGrouper.h
//  LAAdditions
//
//  Created by Cyril Anger on 24/09/11.
//  Copyright (c) 2011 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef id (^LAGrouperValueBlock)(id object);
typedef NSString * (^LAGrouperTitleBlock)(id object, id value);

@interface LAGrouper : NSObject

- (id)initWithValueBlock:(LAGrouperValueBlock)valueBlock titleBlock:(LAGrouperTitleBlock)titleBlock;
- (id)valueForObject:(id)object;
- (NSString *)titleForObject:(id)object;

@end
