//
//  LALinksButton.h
//  LAAdditions
//
//  Created by Cyril Anger on 26/02/13.
//  Copyright (c) 2013 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Quartz/Quartz.h>

#import <LAAdditions/LAPopUpButton.h>
#import <LAAdditions/LALink.h>

@interface LALinksButton : LAPopUpButton <NSMenuDelegate, QLPreviewPanelDataSource, QLPreviewPanelDelegate>

@property (strong, nonatomic) NSArray *containers;

- (IBAction)addFiles:(id)sender;
- (IBAction)cleanLinks:(id)sender;
- (IBAction)previewLinks:(id)sender;

@end
