//
//  LAMenuAdditions.h
//  LAAdditions
//
//  Created by Cyril Anger on 02/03/09.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <LAAdditions/LAMenuItem.h>

@interface NSMenu (LAMenuAdditions)

- (NSMenuItem *)parentMenuItem;
- (LAMenuItem *)insertItemWithTitle:(NSString *)title block:(LAMenuItemBlock)block keyEquivalent:(NSString *)keyEquivalent atIndex:(NSInteger)index;
- (LAMenuItem *)addItemWithTitle:(NSString *)title block:(LAMenuItemBlock)block keyEquivalent:(NSString *)keyEquivalent;
- (void)popUpInView:(NSView *)view;
- (void)setShowsStateColumn:(BOOL)showsState recursive:(BOOL)recursive;
- (NSArray *)activatedItems;
- (NSArray *)titlesOfActivatedItems;
- (void)activateItemsWithTitles:(NSArray *)titles;
- (NSArray *)activatedObjects;
- (void)activateObjects:(NSArray *)objects;

@end
