//
//  LAPeoplePickerController.h
//  LAAdditions
//
//  Created by Cyril Anger on 26/03/12.
//  Copyright (c) 2012 LyricApps. All rights reserved.
//

#import <AddressBook/AddressBook.h>
#import <AddressBook/ABPeoplePickerView.h>

#import <LAAdditions/LAViewController.h>
#import <LAAdditions/LAPopover.h>

@class LAPeoplePickerController;

typedef void (^LAPeoplePickerControllerBlock)(LAPeoplePickerController *controller, ABPerson *person);

@interface LAPeoplePickerController : LAViewController

@property (weak, nonatomic) LAPopover *popover;

@property (weak, nonatomic) IBOutlet ABPeoplePickerView *pickerView;

- (id)initWithBlock:(LAPeoplePickerControllerBlock)block;

@end
