//
//  LAPersonAdditions.h
//  LAAdditions
//
//  Created by Cyril Anger on 30/04/09.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <AddressBook/AddressBook.h>
#import <AddressBook/ABAddressBookC.h>

#define ABMultiValueGetCount ABMultiValueCount
#define ABRecordCopyCompositeName(record) CFBridgingRetain([(__bridge ABPerson *) record name])
#define ABPersonHasImageData(record) ([(__bridge ABPerson *) record imageData] != nil)
#define ABPersonCopyImageData(record) CFBridgingRetain([(__bridge ABPerson *) record imageData])
#define kABPersonEmailProperty (__bridge CFStringRef) kABEmailProperty
#define kABPersonPhoneProperty (__bridge CFStringRef) kABPhoneProperty
#define kABPersonAddressProperty (__bridge CFStringRef) kABAddressProperty
#define kABPersonAddressStreetKey (__bridge CFStringRef) kABAddressStreetKey
#define kABPersonAddressCityKey (__bridge CFStringRef) kABAddressCityKey
#define kABPersonAddressStateKey (__bridge CFStringRef) kABAddressStateKey
#define kABPersonAddressZIPKey (__bridge CFStringRef) kABAddressZIPKey
#define kABPersonAddressCountryKey (__bridge CFStringRef) kABAddressCountryKey

@interface ABPerson (LAPersonAdditions)

@property (nonatomic, readonly) NSString *name;

- (NSComparisonResult)compare:(ABPerson *)person;

@end
