//
//  LAPopUpButton.h
//  LAAdditions
//
//  Created by Cyril Anger on 30/03/13.
//  Copyright (c) 2013 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <LAAdditions/LAStructures.h>
#import <LAAdditions/LAColorAdditions.h>

@interface LAPopUpButtonCell : NSPopUpButtonCell

@property (nonatomic, readonly) BOOL mouseInside;
@property (strong, nonatomic) LAColor *titleColor;
@property (strong, nonatomic) LAColor *disabledTitleColor;
@property (strong, nonatomic) NSShadow *titleShadow;
@property (strong, nonatomic) LAColor *titleShadowColor;
@property (nonatomic) LASize titleShadowOffset;

@end

@interface LAPopUpButton : NSPopUpButton

@property (strong, nonatomic) LAColor *titleColor;
@property (strong, nonatomic) LAColor *disabledTitleColor;
@property (strong, nonatomic) NSShadow *titleShadow;
@property (strong, nonatomic) LAColor *titleShadowColor;
@property (nonatomic) LASize titleShadowOffset;

@end
