//
//  LASortDescriptorsController.h
//  LAAdditions
//
//  Created by Cyril Anger on 23/08/11.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <LAAdditions/LAViewController.h>

@interface LASortDescriptorsController : LAViewController <NSOutlineViewDataSource, NSOutlineViewDelegate>

@property (strong, nonatomic, readonly) NSMutableArray *sortDescriptors;
@property (strong, nonatomic, readonly) NSArray *availableKeyPaths;

@property (weak, nonatomic) IBOutlet NSOutlineView *outlineView;

- (id)initWithSortDescriptors:(NSArray *)sortDescriptors availableKeyPaths:(NSArray *)availableKeyPaths;

@end

@interface LADirectionButtonTransformer : NSValueTransformer

@end
