//
//  LAStructures.h
//  LAAdditions
//
//  Created by Cyril Anger on 20/04/11.
//  Copyright 2011 LyricApps. All rights reserved.
//

#define LARect NSRect
#define LARectZero NSZeroRect
#define LARectMake NSMakeRect
#define LARectEqualToRect NSEqualRects
#define LARectInset NSInsetRect
#define LARectIntersectsRect NSIntersectsRect
#define LARectIntersection NSIntersectionRect
#define LARectUnion NSUnionRect
#define LARectValue rectValue
#define valueWithLARect valueWithRect

#define LAMinX NSMinX
#define LAMidX NSMidX
#define LAMaxX NSMaxX
#define LAMinY NSMinY
#define LAMidY NSMidY
#define LAMaxY NSMaxY
#define LAWidth NSWidth
#define LAHeight NSHeight

#define LASize NSSize
#define LASizeZero NSZeroSize
#define LASizeMake NSMakeSize
#define LASizeEqualToSize NSEqualSizes

#define LAPoint NSPoint
#define LAPointZero NSZeroPoint
#define LAPointMake NSMakePoint
#define LAPointEqualToPoint NSEqualPoints

#define LARectContainsPoint(rect, point) NSPointInRect(point, rect)

#define LARectToCGRect NSRectToCGRect
#define CGRectToLARect NSRectFromCGRect

#define LASizeToCGSize NSSizeToCGSize
#define CGSizeToLASize NSSizeFromCGSize

#define LAPointToCGPoint NSPointToCGPoint
#define CGPointToLAPoint NSPointFromCGPoint

#define LAAngle(angle) (2 * M_PI - angle)

#define LAShadowOffsetMake(width, height) LASizeMake(width, -height)
#define CGShadowOffsetMake(width, height) CGSizeMake(width, -height)

#define LAEdgeInsets NSEdgeInsets
#define LAEdgeInsetsZero NSEdgeInsetsMake(0, 0, 0, 0)
#define LAEdgeInsetsMake NSEdgeInsetsMake
#define LAEdgeInsetsEqualToEdgeInsets(e1, e2) (e1.top == e2.top && e1.left == e2.left && e1.bottom == e2.bottom && e1.right == e2.right)
