//
//  LATemplateCell.h
//  LAAdditions
//
//  Created by Cyril Anger on 15/04/12.
//  Copyright (c) 2012 LyricApps. All rights reserved.
//

#import <LAAdditions/LATableCellView.h>
#import <LAAdditions/LATemplate.h>
#import <LAAdditions/LAObserverPopUpButton.h>

@interface LATemplateCell : LATableCellView

@property (strong, nonatomic) LAOrderedMap *templates;
@property (strong, nonatomic) LATemplate *selectedTemplate;
@property (strong, nonatomic) LAOrderedMap *widgets;

@property (weak, nonatomic) IBOutlet LAObserverPopUpButton *templatesButton;

- (IBAction)selectTemplate:(id)sender;

@end
