//
//  LAXMLConnection.h
//  LAAdditions
//
//  Created by Cyril Anger on 08/05/09.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <LAAdditions/LAURLConnection.h>
#import <LAAdditions/LAXMLDocument.h>
#import <LAAdditions/LAXMLParser.h>

extern NSString *LAXMLConnectionErrorDomain;

typedef enum {
	LAXMLConnectionErrorNone = 0,
	LAXMLConnectionErrorXMLParsingFailed,
	LAXMLConnectionErrorHTMLParsingFailed
} LAXMLConnectionErrorCode;

@interface LAXMLDocumentConnection : LAURLConnection

@property (strong, nonatomic, readonly) LAXMLDocument *document;

@end

@interface LAHTMLDocumentConnection : LAURLConnection

@property (strong, nonatomic, readonly) LAXMLDocument *document;

@end

@interface LAXMLParserConnection : LAURLConnection

@property (strong, nonatomic, readonly) LAXMLNode *document;

@end
