//
//  LAXMLDocument.h
//  LAAdditions
//
//  Created by Cyril Anger on 06/05/12.
//  Copyright (c) 2012 LyricApps. All rights reserved.
//

#import <LAAdditions/LAXMLNode.h>

@interface LAXMLDocument : NSObject

@property (readonly) LAXMLNode *rootNode;

+ (LAXMLDocument *)documentWithXMLData:(NSData *)data;
+ (LAXMLDocument *)documentWithHTMLData:(NSData *)data;

- (NSArray *)nodesForXPath:(NSString *)XPath currentNode:(xmlNodePtr)node;

@end
