BEGIN TRANSACTION;
ALTER TABLE ICImportPlugin ADD COLUMN "CSV_splitsCountColumn" TEXT;
CREATE TABLE ICImportPlugin_TEMP (
	"sqlID" INTEGER PRIMARY KEY,
	"ID" TEXT NOT NULL,
	"lastModificationDate" TEXT,
	"class" TEXT NOT NULL,
	"list" TEXT NOT NULL,
	"name" TEXT NOT NULL,
	"encoding" TEXT NOT NULL,
	"dateFormat" TEXT NOT NULL,
	"decimalSeparator" TEXT,
	"groupingSeparator" TEXT,
	"accountsMapping" TEXT,
	"transactionsMapping" TEXT,
	"splitsMapping" TEXT,
	"mappedValues" TEXT,
	"categorize" INTEGER NOT NULL,
	"setClearedStatusByDefault" INTEGER NOT NULL,
	"applyRules" INTEGER NOT NULL,
	"reconcile" INTEGER NOT NULL,
	"reconcileUsingName" INTEGER NOT NULL,
	"reconcileUsingDate" INTEGER NOT NULL,
	"numberOfDays" INTEGER NOT NULL,
	"updateDate" INTEGER NOT NULL,
	"updateValueDate" INTEGER NOT NULL,
	"updateName" INTEGER NOT NULL,
	"updateComment" INTEGER NOT NULL,
	"updateStatus" INTEGER NOT NULL,
	"showSettings" INTEGER NOT NULL,
	"showMapping" INTEGER NOT NULL,
	"CSV_separator" TEXT,
	"CSV_firstLine" INTEGER,
	"CSV_hasHeader" INTEGER,
	"CSV_accountNameColumn" TEXT,
	"CSV_accountNumberColumn" TEXT,
	"CSV_splitsCountColumn" TEXT,
	"XML_accountsPath" TEXT,
	"XML_accountNamePath" TEXT,
	"XML_accountNumberPath" TEXT,
	"XML_transactionsPath" TEXT,
	"XML_splitsPath" TEXT,
	"JSON_accountsPath" TEXT,
	"JSON_accountNamePath" TEXT,
	"JSON_accountNumberPath" TEXT,
	"JSON_transactionsPath" TEXT,
	"JSON_splitsPath" TEXT
);
INSERT INTO ICImportPlugin_TEMP SELECT "sqlID", "ID", "lastModificationDate", "class", "list", "name", "encoding", "dateFormat", "decimalSeparator", "groupingSeparator", "accountsMapping", "transactionsMapping", "splitsMapping", "mappedValues", "categorize", "setClearedStatusByDefault", "applyRules", "reconcile", "reconcileUsingName", "reconcileUsingDate", "numberOfDays", "updateDate", "updateValueDate", "updateName", "updateComment", "updateStatus", "showSettings", "showMapping", "CSV_separator", "CSV_firstLine", "CSV_hasHeader", "CSV_accountNameColumn", "CSV_accountNumberColumn", "CSV_splitsCountColumn", "XML_accountsPath", "XML_accountNamePath", "XML_accountNumberPath", "XML_transactionsPath", "XML_splitsPath", "JSON_accountsPath", "JSON_accountNamePath", "JSON_accountNumberPath", "JSON_transactionsPath", "JSON_splitsPath" FROM ICImportPlugin;
DROP TABLE ICImportPlugin;
ALTER TABLE ICImportPlugin_TEMP RENAME TO ICImportPlugin;
COMMIT;
