BEGIN TRANSACTION;
ALTER TABLE ICBudget ADD COLUMN "remainingTransactionsAccounts" TEXT;
UPDATE ICBudget SET "remainingTransactionsAccounts" = "accounts" WHERE "createsRemainingTransactions" = 1;
CREATE TABLE ICBudget_TEMP (
	"sqlID" INTEGER PRIMARY KEY,
	"ID" TEXT UNIQUE NOT NULL,
	"lastModificationDate" TEXT,
	"class" TEXT NOT NULL,
	"name" TEXT NOT NULL,
	"icon" BLOB, "iconScale" INTEGER,
	"hidden" INTEGER NOT NULL,
	"parent" TEXT NOT NULL,
	"index" INTEGER NOT NULL,
	"comment" TEXT,
	"currency" TEXT NOT NULL,
	"accounts" TEXT,
	"remainingTransactionsAccounts" TEXT
);
INSERT INTO ICBudget_TEMP SELECT "sqlID", "ID", "lastModificationDate", "class", "name", "icon", "iconScale", "hidden", "parent", "index", "comment", "currency", "accounts", "remainingTransactionsAccounts" FROM ICBudget;
DROP TABLE ICBudget;
ALTER TABLE ICBudget_TEMP RENAME TO ICBudget;
COMMIT;
