//
//  LAAnalytics.h
//  LAAdditions
//
//  Created by Cyril Anger on 13/09/2015.
//  Copyright (c) 2015 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface LAAnalytics : NSObject <NSCoding>

@property (strong, nonatomic) NSString *serverURL;
@property (strong, nonatomic, readonly) NSString *deviceID;

+ (instancetype)sharedInstance;
- (void)track:(NSString *)eventName properties:(NSDictionary *)properties;
- (void)track:(NSString *)eventName properties:(NSDictionary *)properties document:(NSString *)documentID;
- (void)trackLaunch;

@end
