//
//  LABackgroundView.h
//  LAAdditions
//
//  Created by Cyril Anger on 09/05/08.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <LAAdditions/LAViewAdditions.h>
#import <LAAdditions/LAImageAdditions.h>

IB_DESIGNABLE
@interface LABackgroundView : LAView

#if !TARGET_OS_IPHONE
@property IBInspectable NSInteger tag;
#endif
@property (strong, nonatomic) IBInspectable LAColor *color;
@property (strong, nonatomic) IBInspectable LAImage *colorPatternImage;
@property (strong, nonatomic) IBInspectable LAImage *image;
@property (nonatomic) IBInspectable LAEdgeInsets capInsets;
@property (weak, nonatomic) NSString *capInsetsComponents;
@property (strong, nonatomic) LAGradient *gradient;
@property (strong, nonatomic) IBInspectable LAColor *gradientStartColor;
@property (strong, nonatomic) IBInspectable LAColor *gradientEndColor;
@property (getter = isVertical, nonatomic) IBInspectable BOOL vertical;
@property (nonatomic) IBInspectable CGFloat innerShadowRadius;

@end

IB_DESIGNABLE
@interface LASeparator : LAView

@end
