//
//  LACharacterSeparator.h
//  LAAdditions
//
//  Created by Cyril Anger on 02/07/12.
//  Copyright (c) 2012 LyricApps. All rights reserved.
//

#import <LAAdditions/LAConstant.h>

@interface LACharacterSeparator : LAConstant

@property (strong, nonatomic, readonly) NSString *character;

+ (LACharacterSeparator *)constantWithCharacter:(NSString *)character;
+ (LACharacterSeparator *)noSeparator;
+ (LACharacterSeparator *)spaceSeparator;
+ (LACharacterSeparator *)dotSeparator;
+ (LACharacterSeparator *)commaSeparator;
+ (LACharacterSeparator *)quoteSeparator;
+ (LACharacterSeparator *)semicolonSeparator;
+ (LACharacterSeparator *)tabSeparator;

- (id)initWithName:(NSString *)name value:(NSInteger)value character:(NSString *)character;

@end
