//
//  LAConditionTemplate.h
//  LAAdditions
//
//  Created by Cyril Anger on 15/10/11.
//  Copyright (c) 2011 LyricApps. All rights reserved.
//

#import <LAAdditions/LATemplate.h>
#import <LAAdditions/LACondition.h>

@interface LACompoundConditionTemplate : LATemplate

@end

@interface LAComparisonConditionTemplate : LATemplate

+ (NSArray *)operators;
+ (Class)parameterClass;
- (LAComparisonCondition *)createConditionInDatabaseManager:(LADatabaseManager *)databaseManager;
@property (nonatomic, readonly) NSString *widgetKey;
- (id)createWidgetForObject:(id)object;
- (void)updateWidget:(id)widget forObject:(id)object;

@end

@interface LABooleanConditionTemplate : LAComparisonConditionTemplate

@end

@interface LAListConditionTemplate : LAComparisonConditionTemplate

@end

@interface LAStringConditionTemplate : LAComparisonConditionTemplate

@end

@interface LADateConditionTemplate : LAStringConditionTemplate

@end

@interface LANumberConditionTemplate : LAStringConditionTemplate

@end

@interface LAPercentageConditionTemplate : LANumberConditionTemplate

@end

@interface LAColorConditionTemplate : LAComparisonConditionTemplate

@end
