//
//  LACurrencyField.h
//  LAAdditions
//
//  Created by Cyril Anger on 04/07/08.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <LAAdditions/LATextField.h>
#import <LAAdditions/LACurrencyFormatter.h>
#import <LAAdditions/LAImageAdditions.h>

@interface LACurrencyFieldCell : LATextFieldCell

@property (getter = isDebitByDefault, nonatomic) BOOL debitByDefault;
@property (getter = isDebit, nonatomic) BOOL debit;
@property (strong, nonatomic) LAColor *debitColor;
@property (strong, nonatomic) LAColor *creditColor;
@property (strong, nonatomic) id <LACurrency> currency;
@property (strong, nonatomic) NSArray *currencies;

@end

@interface LACurrencyField : LATextField

@property (nonatomic) BOOL showsAccessoryView;
@property (getter = isDebitByDefault, nonatomic) BOOL debitByDefault;
@property (getter = isDebit, nonatomic) BOOL debit;
@property (strong, nonatomic) LAColor *debitColor;
@property (strong, nonatomic) LAColor *creditColor;
@property (strong, nonatomic) id <LACurrency> currency;
@property (strong, nonatomic) NSArray *currencies;

@end
