//
//  LADataAdditions.h
//  LAAdditions
//
//  Created by Cyril Anger on 05/09/10.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSData (LADataAdditions)

+ (NSData *)dataFromBase64String:(NSString *)string;

- (NSString *)base64EncodedString;
- (NSString *)base64EncodedString:(BOOL)separateLines;
- (NSString *)base64URLEncodedString;
- (NSString *)hexadecimalString;
- (NSData *)gzipInflate;
- (NSData *)gzipDeflate;

@end
