//
//  LADataScanner.h
//  LAAdditions
//
//  Created by Cyril Anger on 25/01/13.
//  Copyright (c) 2013 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface LADataScanner : NSObject

@property (strong, nonatomic, readonly) NSData *data;
@property (nonatomic) NSUInteger scanLocation;
@property (nonatomic) NSStringEncoding stringEncoding;

- (id)initWithData:(NSData *)data;
- (BOOL)isAtEnd;
- (BOOL)scanData:(NSData *)data;
- (BOOL)scanString:(NSString *)string;
- (BOOL)scanUpToData:(NSData *)data intoData:(NSData **)scannedData;
- (BOOL)scanUpToString:(NSString *)string intoData:(NSData **)scannedData;

@end
