//
//  LADatabaseOperation.h
//  LAAdditions
//
//  Created by Cyril Anger on 17/01/12.
//  Copyright (c) 2012 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

@class LADatabaseOperation, LADatabaseManager;

typedef void (^LADatabaseOperationBlock)(LADatabaseOperation *operation, LADatabaseManager *databaseManager);

@interface LADatabaseOperation : NSOperation

@property (copy, readonly) LADatabaseManager *databaseManager;

- (id)initWithDatabaseManager:(LADatabaseManager *)databaseManager block:(LADatabaseOperationBlock)block;
- (void)finalizeWithBlock:(void (^)(void))block;

@end
