//
//  LADateFormatter.h
//  LAAdditions
//
//  Created by Cyril Anger on 26/03/08.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface LADateFormatter : NSDateFormatter

+ (NSString *)formatDate:(NSDate *)date withDateStyle:(NSDateFormatterStyle)dateStyle;
+ (NSString *)formatDate:(NSDate *)date withDateStyle:(NSDateFormatterStyle)dateStyle timeStyle:(NSDateFormatterStyle)timeStyle;
+ (NSString *)formatDate:(NSDate *)date withDateFormat:(NSString *)dateFormat;
+ (NSString *)formatDate:(NSDate *)date withLocalizedDateFormatFromTemplate:(NSString *)dateFormat;
+ (NSDate *)parseString:(NSString *)string withDateStyle:(NSDateFormatterStyle)dateStyle;
+ (NSDate *)parseString:(NSString *)string withDateStyle:(NSDateFormatterStyle)dateStyle timeStyle:(NSDateFormatterStyle)timeStyle;
+ (NSDate *)parseString:(NSString *)string withDateStyle:(NSDateFormatterStyle)dateStyle timeStyle:(NSDateFormatterStyle)timeStyle locale:(NSLocale *)locale;
+ (NSDate *)parseString:(NSString *)string withDateFormat:(NSString *)dateFormat;
+ (NSDate *)parseString:(NSString *)string withDateFormat:(NSString *)dateFormat locale:(NSLocale *)locale;

@end
