//
//  LAGroupsController.h
//  LAAdditions
//
//  Created by Cyril Anger on 08/05/11.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <LAAdditions/LASectionsController.h>
#import <LAAdditions/LAGrouper.h>

@interface LAGroupCell : LATableCellView

@property (weak, nonatomic) IBOutlet NSTextField *commentField;

@end

@interface LAMasterTreeNodesDataSource : LATreeNodesDataSource

@property (strong, nonatomic) LAGrouper *grouper;
@property (strong, nonatomic, readonly) NSArray *groups;

+ (Class)groupClass;

- (void)updateGrouper;
- (void)createGroups;

@end

@interface LAGroupsController : LASectionsController

@property (strong, nonatomic) IBOutlet LAMasterTreeNodesDataSource *masterDataSource;

- (IBAction)expandAllGroups:(id)sender;
- (IBAction)collapseAllGroups:(id)sender;

@end
