//
//  LAImageView.h
//  LAAdditions
//
//  Created by Cyril Anger on 16/05/08.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <AppKit/AppKit.h>

@class LAImageView;

typedef void (^LAImageViewBlock)(LAImageView *view, NSImage *image);

IB_DESIGNABLE
@interface LAImageView : NSImageView

@property (strong, nonatomic) IBInspectable NSImage *placeholderImage;
@property (nonatomic) IBInspectable BOOL drawsReflection;
@property (copy, nonatomic) LAImageViewBlock block;

@end
