//
//  LALocationManager.h
//  LAAdditions
//
//  Created by Cyril Anger on 30/06/2016.
//  Copyright © 2016 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

@interface LALocationManager : CLLocationManager <CLLocationManagerDelegate>

@property (copy, nonatomic) void (^completionHandler)(CLLocation *location, NSError *error);

- (id)initWithCompletionHandler:(void (^)(CLLocation *location, NSError *error))completionHandler;

@end
