//
//  LAPushManager.h
//  LAAdditions
//
//  Created by Cyril Anger on 16/02/10.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface LAPushManager : NSObject

@property (strong, nonatomic) NSString *serverURL;
@property (strong, nonatomic) NSData *deviceToken;
@property (nonatomic, readonly) NSString *deviceAddress;

+ (LAPushManager *)sharedManager;

- (void)registerDeviceForNetwork:(NSString *)network login:(NSString *)login;

@end
