//
//  LASegmentedControlAdditions.h
//  LAAdditions
//
//  Created by Cyril Anger on 18/08/11.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <AppKit/AppKit.h>

@interface NSSegmentedControl (LASegmentedControlAdditions)

- (NSInteger)segmentWithTag:(NSInteger)tag;
- (BOOL)isSelectedForSegmentWithTag:(NSInteger)tag;
- (void)setSelected:(BOOL)selected forSegmentWithTag:(NSInteger)tag;
- (BOOL)isEnabledForSegmentWithTag:(NSInteger)tag;
- (void)setEnabled:(BOOL)selected forSegmentWithTag:(NSInteger)tag;
- (void)removeSegmentWithTag:(NSInteger)tag;

@end
