//
//  LASynchronizationChangesController.h
//  LAAdditions
//
//  Created by Cyril Anger on 09/11/12.
//  Copyright (c) 2012 LyricApps. All rights reserved.
//

#import <LAAdditions/LASectionsController.h>

@interface LASynchronizationChangesDataSource : LAStandardTreeNodesDataSource

@property (strong, nonatomic) LAImage *otherIcon;

@end

@interface LASynchronizationChangesController : LASingleDataSourceSectionsController

@property (strong, nonatomic) NSArray *changes;

@end

@interface LASynchronizationChangeCell : LAStandardTableCellView

@property (weak, nonatomic) IBOutlet NSTextField *valueLabel;
@property (weak, nonatomic) IBOutlet NSButton *choiceButton;
@property (weak, nonatomic) IBOutlet NSTextField *otherValueLabel;
@property (weak, nonatomic) IBOutlet NSButton *otherChoiceButton;

- (IBAction)modifyChoice:(id)sender;

@end
