//
//  LATCPClientController.h
//  LAAdditions
//
//  Created by Cyril Anger on 16/07/13.
//  Copyright (c) 2013 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <LAAdditions/LAViewController.h>
#import <LAAdditions/LATCPClient.h>
#import <LAAdditions/LAAlert.h>

@interface LATCPClientController : LAViewController <NSOutlineViewDataSource, NSOutlineViewDelegate, LATCPClientDelegate, LADataConnectionDelegate>

@property (strong, nonatomic) LATCPClient *client;

@property (weak, nonatomic) IBOutlet NSProgressIndicator *resolveProgressIndicator;
@property (weak, nonatomic) IBOutlet NSOutlineView *netServicesView;
@property (strong, nonatomic) IBOutlet NSMatrix *synchronizationModeMatrix;
@property (strong, nonatomic) IBOutlet NSProgressIndicator *synchronizationProgressIndicator;

@end
