var storedFields = "%@";
if (storedFields.substr(0, 1) == "{") {
	storedFields = JSON.parse(storedFields);
} else {
	var storedFieldsElements = storedFields.split("|");
	storedFields = new Object();
	for (var i = 0; i < storedFieldsElements.length; i++) {
		var storedFieldElements = storedFieldsElements[i].split("=");
		storedFields[storedFieldElements[0]] = storedFieldElements[1];
	}
}

autocomplete(self);

function nodeInserted()
{
	autocomplete(self);
}

function autocomplete(object)
{
	if (object.document) {
		var fields = object.document.getElementsByTagName("input");
		for (var i = 0; i < fields.length; i++) {
			if (fields[i].type == "text" || fields[i].type == "number" || fields[i].type == "email" || fields[i].type == "tel" || fields[i].type == "password") {
				var attributes = ["name", "id", "ng-model"];
				for (var j = 0; j < attributes.length; j++) {
					var name = fields[i].getAttribute(attributes[j]);
					if (name != null && name != "") {
						var value = storedFields[name];
						if (value != undefined) {
							fields[i].value = value;
						}
						break;
					}
				}
			}
		}
	}
	for (var i = 0; i < object.frames.length; i++) {
		try {
			autocomplete(object.frames[i]);
		} catch (error) {
			
		}
	}
	object.document.removeEventListener("DOMNodeInserted", nodeInserted, false);
	object.document.addEventListener("DOMNodeInserted", nodeInserted, false);
}
