$(document).ready(function() {
	jQuery.each($(".feature").not(".small"), function(i, div) {
		$(div).css("visibility", "hidden");
		if (Math.trunc(i / 2) % 2 == 0) {
			$(div).waypoint(function() {
				$(this.element).css("visibility", "visible");
				$(this.element).addClass('animated fadeInLeft');
			}, {
				offset: '50%'
			});
		} else {
			$(div).waypoint(function() {
				$(this.element).css("visibility", "visible");
				$(this.element).addClass('animated fadeInRight');
			}, {
				offset: '50%'
			});
		}
	});
	
	jQuery.each($(".feature.small"), function(i, div) {
		$(div).css("visibility", "hidden");
		$(div).css("-webkit-animation-delay", i / 4 + "s");
		$(div).css("animation-delay", i / 4 + "s");
	});
	$(".feature.small:first").waypoint(function() {
		$(".feature.small").css("visibility", "visible");
		$(".feature.small").addClass('animated fadeInDown');
	}, {
		offset: '80%'
	});
})
